Index: src/Parser/parser.h
===================================================================
--- src/Parser/parser.h	(revision 097e2b0772ff883a03cce4090b9e0ba0be47ac18)
+++ src/Parser/parser.h	(revision c14cff1813318f9616a9e814d9a8528eb9ddcbf9)
@@ -72,74 +72,75 @@
      CONTEXT = 290,
      SIZEOF = 291,
-     ATTRIBUTE = 292,
-     EXTENSION = 293,
-     IF = 294,
-     ELSE = 295,
-     SWITCH = 296,
-     CASE = 297,
-     DEFAULT = 298,
-     DO = 299,
-     WHILE = 300,
-     FOR = 301,
-     BREAK = 302,
-     CONTINUE = 303,
-     GOTO = 304,
-     RETURN = 305,
-     CHOOSE = 306,
-     DISABLE = 307,
-     ENABLE = 308,
-     FALLTHRU = 309,
-     TRY = 310,
-     CATCH = 311,
-     CATCHRESUME = 312,
-     FINALLY = 313,
-     THROW = 314,
-     THROWRESUME = 315,
-     AT = 316,
-     ASM = 317,
-     ALIGNAS = 318,
-     ALIGNOF = 319,
-     ATOMIC = 320,
-     GENERIC = 321,
-     NORETURN = 322,
-     STATICASSERT = 323,
-     THREADLOCAL = 324,
-     IDENTIFIER = 325,
-     QUOTED_IDENTIFIER = 326,
-     TYPEDEFname = 327,
-     TYPEGENname = 328,
-     ATTR_IDENTIFIER = 329,
-     ATTR_TYPEDEFname = 330,
-     ATTR_TYPEGENname = 331,
-     INTEGERconstant = 332,
-     FLOATINGconstant = 333,
-     CHARACTERconstant = 334,
-     STRINGliteral = 335,
-     ZERO = 336,
-     ONE = 337,
-     ARROW = 338,
-     ICR = 339,
-     DECR = 340,
-     LS = 341,
-     RS = 342,
-     LE = 343,
-     GE = 344,
-     EQ = 345,
-     NE = 346,
-     ANDAND = 347,
-     OROR = 348,
-     ELLIPSIS = 349,
-     MULTassign = 350,
-     DIVassign = 351,
-     MODassign = 352,
-     PLUSassign = 353,
-     MINUSassign = 354,
-     LSassign = 355,
-     RSassign = 356,
-     ANDassign = 357,
-     ERassign = 358,
-     ORassign = 359,
-     ATassign = 360,
-     THEN = 361
+     OFFSETOF = 292,
+     ATTRIBUTE = 293,
+     EXTENSION = 294,
+     IF = 295,
+     ELSE = 296,
+     SWITCH = 297,
+     CASE = 298,
+     DEFAULT = 299,
+     DO = 300,
+     WHILE = 301,
+     FOR = 302,
+     BREAK = 303,
+     CONTINUE = 304,
+     GOTO = 305,
+     RETURN = 306,
+     CHOOSE = 307,
+     DISABLE = 308,
+     ENABLE = 309,
+     FALLTHRU = 310,
+     TRY = 311,
+     CATCH = 312,
+     CATCHRESUME = 313,
+     FINALLY = 314,
+     THROW = 315,
+     THROWRESUME = 316,
+     AT = 317,
+     ASM = 318,
+     ALIGNAS = 319,
+     ALIGNOF = 320,
+     ATOMIC = 321,
+     GENERIC = 322,
+     NORETURN = 323,
+     STATICASSERT = 324,
+     THREADLOCAL = 325,
+     IDENTIFIER = 326,
+     QUOTED_IDENTIFIER = 327,
+     TYPEDEFname = 328,
+     TYPEGENname = 329,
+     ATTR_IDENTIFIER = 330,
+     ATTR_TYPEDEFname = 331,
+     ATTR_TYPEGENname = 332,
+     INTEGERconstant = 333,
+     FLOATINGconstant = 334,
+     CHARACTERconstant = 335,
+     STRINGliteral = 336,
+     ZERO = 337,
+     ONE = 338,
+     ARROW = 339,
+     ICR = 340,
+     DECR = 341,
+     LS = 342,
+     RS = 343,
+     LE = 344,
+     GE = 345,
+     EQ = 346,
+     NE = 347,
+     ANDAND = 348,
+     OROR = 349,
+     ELLIPSIS = 350,
+     MULTassign = 351,
+     DIVassign = 352,
+     MODassign = 353,
+     PLUSassign = 354,
+     MINUSassign = 355,
+     LSassign = 356,
+     RSassign = 357,
+     ANDassign = 358,
+     ERassign = 359,
+     ORassign = 360,
+     ATassign = 361,
+     THEN = 362
    };
 #endif
@@ -179,74 +180,75 @@
 #define CONTEXT 290
 #define SIZEOF 291
-#define ATTRIBUTE 292
-#define EXTENSION 293
-#define IF 294
-#define ELSE 295
-#define SWITCH 296
-#define CASE 297
-#define DEFAULT 298
-#define DO 299
-#define WHILE 300
-#define FOR 301
-#define BREAK 302
-#define CONTINUE 303
-#define GOTO 304
-#define RETURN 305
-#define CHOOSE 306
-#define DISABLE 307
-#define ENABLE 308
-#define FALLTHRU 309
-#define TRY 310
-#define CATCH 311
-#define CATCHRESUME 312
-#define FINALLY 313
-#define THROW 314
-#define THROWRESUME 315
-#define AT 316
-#define ASM 317
-#define ALIGNAS 318
-#define ALIGNOF 319
-#define ATOMIC 320
-#define GENERIC 321
-#define NORETURN 322
-#define STATICASSERT 323
-#define THREADLOCAL 324
-#define IDENTIFIER 325
-#define QUOTED_IDENTIFIER 326
-#define TYPEDEFname 327
-#define TYPEGENname 328
-#define ATTR_IDENTIFIER 329
-#define ATTR_TYPEDEFname 330
-#define ATTR_TYPEGENname 331
-#define INTEGERconstant 332
-#define FLOATINGconstant 333
-#define CHARACTERconstant 334
-#define STRINGliteral 335
-#define ZERO 336
-#define ONE 337
-#define ARROW 338
-#define ICR 339
-#define DECR 340
-#define LS 341
-#define RS 342
-#define LE 343
-#define GE 344
-#define EQ 345
-#define NE 346
-#define ANDAND 347
-#define OROR 348
-#define ELLIPSIS 349
-#define MULTassign 350
-#define DIVassign 351
-#define MODassign 352
-#define PLUSassign 353
-#define MINUSassign 354
-#define LSassign 355
-#define RSassign 356
-#define ANDassign 357
-#define ERassign 358
-#define ORassign 359
-#define ATassign 360
-#define THEN 361
+#define OFFSETOF 292
+#define ATTRIBUTE 293
+#define EXTENSION 294
+#define IF 295
+#define ELSE 296
+#define SWITCH 297
+#define CASE 298
+#define DEFAULT 299
+#define DO 300
+#define WHILE 301
+#define FOR 302
+#define BREAK 303
+#define CONTINUE 304
+#define GOTO 305
+#define RETURN 306
+#define CHOOSE 307
+#define DISABLE 308
+#define ENABLE 309
+#define FALLTHRU 310
+#define TRY 311
+#define CATCH 312
+#define CATCHRESUME 313
+#define FINALLY 314
+#define THROW 315
+#define THROWRESUME 316
+#define AT 317
+#define ASM 318
+#define ALIGNAS 319
+#define ALIGNOF 320
+#define ATOMIC 321
+#define GENERIC 322
+#define NORETURN 323
+#define STATICASSERT 324
+#define THREADLOCAL 325
+#define IDENTIFIER 326
+#define QUOTED_IDENTIFIER 327
+#define TYPEDEFname 328
+#define TYPEGENname 329
+#define ATTR_IDENTIFIER 330
+#define ATTR_TYPEDEFname 331
+#define ATTR_TYPEGENname 332
+#define INTEGERconstant 333
+#define FLOATINGconstant 334
+#define CHARACTERconstant 335
+#define STRINGliteral 336
+#define ZERO 337
+#define ONE 338
+#define ARROW 339
+#define ICR 340
+#define DECR 341
+#define LS 342
+#define RS 343
+#define LE 344
+#define GE 345
+#define EQ 346
+#define NE 347
+#define ANDAND 348
+#define OROR 349
+#define ELLIPSIS 350
+#define MULTassign 351
+#define DIVassign 352
+#define MODassign 353
+#define PLUSassign 354
+#define MINUSassign 355
+#define LSassign 356
+#define RSassign 357
+#define ANDassign 358
+#define ERassign 359
+#define ORassign 360
+#define ATassign 361
+#define THEN 362
 
 
@@ -275,5 +277,5 @@
 
 /* Line 2068 of yacc.c  */
-#line 278 "Parser/parser.h"
+#line 280 "Parser/parser.h"
 } YYSTYPE;
 # define YYSTYPE_IS_TRIVIAL 1
